# ALSA Scarlett2 Control Panel Installation

## Prerequisites

### Linux Kernel

You need to be running a Linux Kernel that has the ALSA Scarlett2
Protocol Driver. Use `uname -r` to check what kernel version you are
running.

- For reasonable functionality of Scarlett 2nd and 3rd Gen and Clarett
  interfaces, you need at least Linux kernel version 6.7
- For Scarlett 4th Gen support and firmware updates from Linux, you
  need at least 6.8
- For Vocaster support, you’ll need to build an updated
  `snd-usb-audio` driver (or wait for 6.10)

If you’ve got a Vocaster, or if your distribution doesn’t include a
recent-enough kernel for your interface, you can get the latest driver
from here and build it for your current kernel:

https://github.com/geoffreybennett/scarlett-gen2/releases

#### Enabling the Driver

As of Linux 6.7 the driver is enabled by default. Check the driver
status (after plugging your interface in) with this command:

```
dmesg | grep -i -A 5 -B 5 focusrite
```

If all is good you’ll see messages like this:

```
New USB device found, idVendor=1235, idProduct=8215, bcdDevice= 6.0b
Product: Scarlett 18i20 USB
Focusrite Scarlett Gen 3 Mixer Driver enabled (pid=0x8215); report
any issues to https://github.com/geoffreybennett/scarlett-gen2/issues
```

If you don’t see the “Mixer Driver” message or if it shows “disabled”
then check the [OLDKERNEL.md](OLDKERNEL.md) instructions.

### Firmware

As of Linux 6.8, firmware updates of all the supported interfaces can
be done through Linux. This is mandatory for Scarlett 4th Gen and
Vocaster interfaces (unless you’ve already updated it using the
manufacturer’s software), and optional for Scarlett 2nd and 3rd Gen,
Clarett USB, and Clarett+ interfaces.

Download the firmware from
https://github.com/geoffreybennett/scarlett2-firmware and place it in
`/usr/lib/firmware/scarlett2` or use the RPM/deb package.
